Bug 20047 - Add Z3950Server Object and use it for getting server count
Summary: Add Z3950Server Object and use it for getting server count
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19987
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-19 15:56 UTC by Nick Clemens
Modified: 2018-07-18 11:06 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20047 - Add Koha::Z3950Server Oject and use it to get server count (7.30 KB, patch)
2018-01-19 15:59 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20047 - Add Koha::Z3950Server Oject and use it to get server count (7.47 KB, patch)
2018-01-23 13:29 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20047 - Add Koha::Z3950Server Oject and use it to get server count (7.52 KB, patch)
2018-03-12 13:17 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 20047 - Add Koha::Z3950Server Oject and use it to get server count (7.71 KB, patch)
2018-04-17 12:06 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20047: (follow-up) Retrieve only biblio/authority servers as appropriate (1.36 KB, patch)
2018-04-17 12:06 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20047: Add Koha::Z3950Server Oject and use it to get server count (7.77 KB, patch)
2018-04-18 06:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20047: (follow-up) Retrieve only biblio/authority servers as appropriate (1.41 KB, patch)
2018-04-18 06:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-01-19 15:56:14 UTC

    
Comment 1 Nick Clemens 2018-01-19 15:59:14 UTC
Created attachment 70756 [details] [review]
Bug 20047 - Add Koha::Z3950Server Oject and use it to get server count

To test:
1 - prove t/db_dependent/Koha/Z3950Servers.t
2 - Load cataloging and authority home pages
3 - Verify you can add form z395 on each page
4 - Delete all z3950 servers
5 - Verify option to add from Z3950 is removed on both pages
Comment 2 Owen Leonard 2018-01-22 19:45:49 UTC
The QA tool has a couple of complaints about this patch:

 FAIL   Koha/Z3950Server.pm
   OK     critic
   OK     forbidden patterns
   OK     git manipulation
   OK     pod
   FAIL   pod coverage
     POD coverage was greater before, try perl -MPod::Coverage=PackageName -e666
   OK     spelling
   OK     valid

 FAIL   Koha/Z3950Servers.pm
   OK     critic
   OK     forbidden patterns
   OK     git manipulation
   OK     pod
   FAIL   pod coverage
                POD is missing for 'object_class'
   OK     spelling
   OK     valid
Comment 3 Nick Clemens 2018-01-23 13:29:43 UTC
Created attachment 70829 [details] [review]
Bug 20047 - Add Koha::Z3950Server Oject and use it to get server count

To test:
1 - prove t/db_dependent/Koha/Z3950Servers.t
2 - Load cataloging and authority home pages
3 - Verify you can add form z395 on each page
4 - Delete all z3950 servers
5 - Viery option to add from Z3950 is removed on both pages
Comment 4 Nick Clemens 2018-01-23 13:30:21 UTC
(In reply to Owen Leonard from comment #2)
> The QA tool has a couple of complaints about this patch:

It still does, but ignore them, they are not relevant
Comment 5 Jesse Maseto 2018-03-12 13:17:39 UTC
Created attachment 72681 [details] [review]
Bug 20047 - Add Koha::Z3950Server Oject and use it to get server count

To test:
1 - prove t/db_dependent/Koha/Z3950Servers.t
2 - Load cataloging and authority home pages
3 - Verify you can add form z395 on each page
4 - Delete all z3950 servers
5 - Viery option to add from Z3950 is removed on both pages

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Comment 6 Katrin Fischer 2018-04-16 06:04:59 UTC
Please rebase!
Comment 7 Nick Clemens 2018-04-17 12:06:17 UTC
Created attachment 74316 [details] [review]
Bug 20047 - Add Koha::Z3950Server Oject and use it to get server count

To test:
1 - prove t/db_dependent/Koha/Z3950Servers.t
2 - Load cataloging and authority home pages
3 - Verify you can add form z395 on each page
4 - Delete all z3950 servers
5 - Viery option to add from Z3950 is removed on both pages

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Comment 8 Nick Clemens 2018-04-17 12:06:20 UTC
Created attachment 74317 [details] [review]
Bug 20047: (follow-up) Retrieve only biblio/authority servers as appropriate
Comment 9 Katrin Fischer 2018-04-18 06:13:57 UTC
Created attachment 74405 [details] [review]
Bug 20047: Add Koha::Z3950Server Oject and use it to get server count

To test:
1 - prove t/db_dependent/Koha/Z3950Servers.t
2 - Load cataloging and authority home pages
3 - Verify you can add form z395 on each page
4 - Delete all z3950 servers
5 - Viery option to add from Z3950 is removed on both pages

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2018-04-18 06:14:14 UTC
Created attachment 74406 [details] [review]
Bug 20047: (follow-up) Retrieve only biblio/authority servers as appropriate

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Jonathan Druart 2018-04-20 16:45:16 UTC
Pushed to master for 18.05, thanks to everybody involved!